FilterMap (Tomcat API Documentation)
Keywords: org.apache.catalina.deploy.FilterMap class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class FilterMap

    java.lang.Object
      org.apache.catalina.deploy.FilterMap

All Implemented Interfaces:
  java.io.Serializable

    public class FilterMap

extends java.lang.Object
implements java.io.Serializable

Representation of a filter mapping for a web application, as represented in a `<filter-mapping>` element in the deployment descriptor. Each filter mapping must contain a filter name plus either a URL pattern or a servlet name.

Version:
  $Revision: 504726 $ $Date: 2007-02-07 23:53:07 +0100 (Wed, 07 Feb 2007) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`static int` | `ERROR` The name of this filter to be executed when this mapping matches a particular request.
`static int` | `FORWARD`
`static int` | `FORWARD_ERROR`
`static int` | `INCLUDE`
`static int` | `INCLUDE_ERROR`
`static int` | `INCLUDE_ERROR_FORWARD`
`static int` | `INCLUDE_FORWARD`
`static int` | `REQUEST`
`static int` | `REQUEST_ERROR`
`static int` | `REQUEST_ERROR_FORWARD`
`static int` | `REQUEST_ERROR_FORWARD_INCLUDE`
`static int` | `REQUEST_ERROR_INCLUDE`
`static int` | `REQUEST_FORWARD`
`static int` | `REQUEST_FORWARD_INCLUDE`
`static int` | `REQUEST_INCLUDE`

Constructor Summary
`FilterMap()`

Method Summary
`void` | `addServletName(java.lang.String servletName)`
`void` | `addURLPattern(java.lang.String urlPattern)`
`int` | `getDispatcherMapping()`
`java.lang.String` | `getFilterName()`
`boolean` | `getMatchAllServletNames()`
`boolean` | `getMatchAllUrlPatterns()`
`java.lang.String[]` | `getServletNames()`
`java.lang.String[]` | `getURLPatterns()`
`void` | `setDispatcher(java.lang.String dispatcherString)` This method will be used to set the current state of the FilterMap representing the state of when filters should be applied: ERROR FORWARD FORWARD_ERROR INCLUDE INCLUDE_ERROR INCLUDE_ERROR_FORWARD REQUEST REQUEST_ERROR REQUEST_ERROR_INCLUDE REQUEST_ERROR_FORWARD_INCLUDE REQUEST_INCLUDE REQUEST_FORWARD, REQUEST_FORWARD_INCLUDE
`void` | `setFilterName(java.lang.String filterName)`
`java.lang.String` | `toString()` Render a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR

    public static final int ERROR

  The name of this filter to be executed when this mapping matches a particular request.

  See Also:
    Constant Field Values

### FORWARD

    public static final int FORWARD

See Also:
  Constant Field Values

### FORWARD_ERROR

    public static final int FORWARD_ERROR

See Also:
  Constant Field Values

### INCLUDE

    public static final int INCLUDE

See Also:
  Constant Field Values

### INCLUDE_ERROR

    public static final int INCLUDE_ERROR

See Also:
  Constant Field Values

### INCLUDE_ERROR_FORWARD

    public static final int INCLUDE_ERROR_FORWARD

See Also:
  Constant Field Values

### INCLUDE_FORWARD

    public static final int INCLUDE_FORWARD

See Also:
  Constant Field Values

### REQUEST

    public static final int REQUEST

See Also:
  Constant Field Values

### REQUEST_ERROR

    public static final int REQUEST_ERROR

See Also:
  Constant Field Values

### REQUEST_ERROR_FORWARD

    public static final int REQUEST_ERROR_FORWARD

See Also:
  Constant Field Values

### REQUEST_ERROR_FORWARD_INCLUDE

    public static final int REQUEST_ERROR_FORWARD_INCLUDE

See Also:
  Constant Field Values

### REQUEST_ERROR_INCLUDE

    public static final int REQUEST_ERROR_INCLUDE

See Also:
  Constant Field Values

### REQUEST_FORWARD

    public static final int REQUEST_FORWARD

See Also:
  Constant Field Values

### REQUEST_INCLUDE

    public static final int REQUEST_INCLUDE

See Also:
  Constant Field Values

### REQUEST_FORWARD_INCLUDE

    public static final int REQUEST_FORWARD_INCLUDE

See Also:
  Constant Field Values

Constructor Detail

### FilterMap

    public FilterMap()

Method Detail

### getFilterName

    public java.lang.String getFilterName()

### setFilterName

    public void setFilterName(java.lang.String filterName)

### getServletNames

    public java.lang.String[] getServletNames()

### addServletName

    public void addServletName(java.lang.String servletName)

### getMatchAllUrlPatterns

    public boolean getMatchAllUrlPatterns()

### getMatchAllServletNames

    public boolean getMatchAllServletNames()

### getURLPatterns

    public java.lang.String[] getURLPatterns()

### addURLPattern

    public void addURLPattern(java.lang.String urlPattern)

### setDispatcher

    public void setDispatcher(java.lang.String dispatcherString)

  This method will be used to set the current state of the FilterMap representing the state of when filters should be applied: ERROR FORWARD FORWARD_ERROR INCLUDE INCLUDE_ERROR INCLUDE_ERROR_FORWARD REQUEST REQUEST_ERROR REQUEST_ERROR_INCLUDE REQUEST_ERROR_FORWARD_INCLUDE REQUEST_INCLUDE REQUEST_FORWARD, REQUEST_FORWARD_INCLUDE

### getDispatcherMapping

    public int getDispatcherMapping()

### toString

    public java.lang.String toString()

  Render a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.